%{!?ruby_sitelib:	%define ruby_sitelib	%(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
#%%{!?ruby_sitearch:	%define ruby_sitearch	%(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}
%define		rubyabi		1.8
%define		repoid		43496

Name:		ruby-gettext-package
Version:	1.93.0
Release:	1%{?dist}
Summary:	Localization Library and Tools for Ruby
Group:		Development/Languages

License:	Ruby
URL:		http://www.yotabanana.com/hiki/ruby-gettext.html?ruby-gettext
Source0:	http://rubyforge.org/frs/download.php/%{repoid}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	irb
BuildRequires:	ruby-devel
BuildRequires:	ruby(abi) = %{rubyabi}
Requires:	ruby(abi) = %{rubyabi}
Requires:	irb
Provides:	ruby(gettext-package) = %{version}-%{release}

BuildArch:	noarch

%description
Ruby-GetText-Package is a Localization(L10n) Library and Tools 
which is modeled after GNU gettext package.

The library converts the messages to localized messages properly 
using client-side locale information. And the tools for developers 
support to create, use, and modify localized message files
(message catalogs) easily.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation

%description	doc
This package contains documentation for %{name}.

%prep
%setup -q

find samples/ -type f | xargs %{__chmod} 0644

%build
export CFLAGS="$RPM_OPT_FLAGS"
ruby setup.rb config \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--siteruby=%{ruby_sitelib}

ruby setup.rb setup

%install
%{__rm} -rf $RPM_BUILD_ROOT

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

for f in `find $RPM_BUILD_ROOT%{ruby_sitelib}/gettext -name \*.rb | sort` ; do
	%{__sed} -i -e '/^#!/d' $f
done

%find_lang rails
%find_lang rgettext
%{__cat} *.lang >> %{name}.lang

%check
# Now this package requires ruby-Rails for test.
# Not executing test for now.
exit 0

RUBYLIB=$RPM_BUILD_ROOT%{ruby_sitelib}:$RPM_BUILD_ROOT%{ruby_sitearch}
export RUBYLIB
ruby setup.rb test

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README

%{_bindir}/*
%{ruby_sitelib}/gettext.rb
%{ruby_sitelib}/gettext/
%{ruby_sitelib}/locale.rb
%{ruby_sitelib}/locale/

%files doc
%defattr(-,root,root,-)
%doc samples/
%doc test/

%changelog
* Thu Sep 18 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.93.0-1
- 1.93.0

* Sat Aug  9 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.92.0-1
- 1.92.0

* Thu May 22 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.91.0-1
- 1.91.0

* Sun Feb  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.90.0-1
- 1.90.0
- Arch changed to noarch

* Wed Aug 29 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.10.0-1
- 1.10.0

* Wed Aug 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.0-2.dist.2
- Mass rebuild (buildID or binutils issue)

* Fri Aug  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.0-2.dist.1
- License update

* Mon May  7 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.0-2
- Create -doc subpackage

* Sat Apr 21 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.0-1
- Initial packaging
